@import "bootstrap-custom";

$navbar-height: 54px;
$navbar-height-big: $navbar-height + 58px;

// draws a background image shadow with darker tint at the bottom
.shadow {
    position: relative;
    min-height: 100%;
    width: 100%;
    $a: rgba(20, 10, 10, 0.01);
    $b: rgba(10, 0, 0, 0.4);
    background-image: -webkit-linear-gradient($a, $b);
    background-image: -o-linear-gradient($a, $b);
    background-image: -moz-linear-gradient($a, $b);
    background-image: linear-gradient($a, $b);
}

.navbar {
    box-shadow: 0px 0px 10px rgba(0,0,0,0.9);
}
.navbar-header {
    float: left;
    // padding: 15px;
    text-align: center;
    width: 100%;
    margin: 0 !important;
}
.navbar-brand {
    float:none;
    display:inline-block;
    padding: 0.2rem;
    img { height: 5.4rem; }
    // center the logo
    margin-left: 0px;
    @media (max-width: $grid-float-breakpoint-max){
        margin-left: 68px;
    }
}

.navbar-fixed-top .navbar-collapse {
    max-height: 80vh;
}
.navbar-collapse {
    text-align: center;
}

.nav.navbar-nav {
    margin: auto;
    text-align: center;
    float: none;
    width: auto;
    display: inline-block;
}

/** The generic page layout:

.page-container: max-width, center things and provide margin for navbar
  .page-layout: main columns container
    .page-content-column: the main content column
    .page-extra-column: side column on the right

 */
.page-container {
    $right-column-min-display-width: 1090px;

    @extend .container-fluid;
    max-width: 1280px;
    margin: auto;
    overflow-x: hidden;

    .page-layout {
        @include make-row(0);

        // columns contains this container to ensure centering and max-width enforcement
        .page-column-content {
            max-width: 640px;
            margin: auto;
        }

        .page-content-column {
            @include make-md-column(8);
            @media (max-width: $screen-md-max){
                padding: 0;
            }
        }

        .page-extra-column {
            @include make-md-column(4);
            margin-top: 3rem;
        }

    }
}

footer {
    text-align: center;
    padding: 2rem;
    a { margin: 1rem; }
}

.item {
    display: block;
    margin-bottom: 3rem;
    .background {
        background-size: cover;
        background-position: center;
        .shadow {
            padding: 2rem;
            padding-top: 45%;
        }
    }
    .title {
        color: white;
    }
    .date {
        font-size: 3rem;
        padding: 0.5rem 1rem;
        display: inline-block;
        background-color: $gray-base;
        color: $body-bg;
    }
    .desc {
        font-size: 2rem;
        color: $text-color;
        padding: 1rem 2rem;
    }

}

/** item box styling  */
a.item {
    transition: all 300ms;
    text-decoration: none;
    h2:hover { text-decoration: underline; }
    .desc strong:hover { text-decoration: underline; }
}
a.item:hover {
    // box-shadow: 0px 0px 20px rgba(0,0,0,0.3);
}

.social-share {
    //    @extend .well;
    padding: 2rem;
    margin-top: 2rem;
}

h1 {
    border-bottom: 1px solid black;
}

.well {
    box-shadow: none;
    -webkit-box-shadow: none;
}

/* JUGA.IO THEMING */

// skin loading oval
.juga-io--loading .juga-io--wrap svg #bubble {
    fill: #000;
}
// we'll put the title of the item in our html, remove it from client
.juga-io--title { display: none; }
// fixes open-quiz input group
.juga-io--input-group { @extend .input-group; }
.juga-io--input-group-btn { @extend .input-group-btn; }

body {
    padding-top: $navbar-height-big;
    @media (max-width: $grid-float-breakpoint-max){
        padding-top: $navbar-height;
    }
}

body.fb-ia-iframe {
    padding-top: 0px !important;
}
